package kube

#namespace:         "wekan"
#monitoringEnabled: true
#alertingEnabled:   false

global: applicationID: "1234"

appSecrets: {}

deployment: wekan: _tlsSecret: ""

values: {
	mongodb: {
		alertingEnabled:      #alertingEnabled
		backupEnabled:        true
		backupRepositoryBase: "s3:somehost-\(global.clusterName)-\(#namespace)/"
		backupSchedule:       "35 * * * *"
		extraDatabase:        "wekan"
		monitoringEnabled:    #monitoringEnabled
		storage:              10G
		auth: {
			username:           "wekan"
			password:           appSecrets.mongodbPassword
			rootPassword:       appSecrets.mongodbRootPassword
			resticPassword:     appSecrets.resticPassword
			awsAccessKeyId:     appSecrets.awsAccessKeyId
			awsSecretAccessKey: appSecrets.awsSecretAccessKey
		}
	}
	wekan: {
		alertingEnabled:   #alertingEnabled
		hostname:          "wekan.\(global.clusterBaseURL)"
		mongodbURL:        "mongodb://wekan:\(appSecrets.mongodbPassword)@mongodb:27017/wekan"
		monitoringEnabled: #monitoringEnabled
		replicas:          3
		smtpURL:           global.smtpURL
		ssoEnabled:        !true
		restarterEnabled:  true
		if monitoringEnabled {
			blackboxProberURL: global.blackboxProberURL
		}
		if ssoEnabled {
			oAuth2Secret: appSecrets.oAuth2Secret
		}
	}
}
