package kube

#namespace: string
global: {}

chart: mongodb: {
	appVersion:   "6.0.4"
	chartVersion: "abc.7"
}

mongodbExporterImageTag: "0.36.0"
backupImageTag:          "0.5.2"

global: {
	dockerhubPrefix: string
	registryPrefix:  string
	clusterName:     string
	applicationID:   string
}

values: {
	mongodb: close({
		alertingEnabled:      bool
		backupEnabled:        bool
		backupRepositoryBase: *"s3:somehost/backup-\(global.clusterName)-\(#namespace)/" | =~"s3:.+/$"
		backupSchedule:       string
		extraDatabase:        string
		image:                *(global.dockerhubPrefix + "bitnami/mongodb:" + chart.mongodb.appVersion) | string
		monitoringEnabled:    bool
		storage:              number
		auth: {
			username:     string
			password:     string
			rootPassword: string
		}
		if values.mongodb.monitoringEnabled {
			exporterImage: *(global.dockerhubPrefix + "bitnami/mongodb-exporter:" + mongodbExporterImageTag) | string
		}
		if values.mongodb.backupEnabled {
			backupImage: *(global.registryPrefix + "abc/mongodb-backup:" + backupImageTag) | string
		}
	})
}
